### Name: medsens
### Title: Causal Mediation Analysis - Sensitivity Analysis
### Aliases: medsens


### ** Examples
 

#Example with JOBS II Field experiment
#For illustration purposes simulations set to low number.

#Example with JOBS II Field experiment
data(jobs)

#########################################
#continuous mediator and continuous outcome
#########################################

#fit parametric model
model.m <- lm(job_seek ~ treat + depress1, data=jobs)
model.y <- lm(depress2 ~ treat + job_seek + depress1, data=jobs)
#pass model objects through medsens function
sens.cont <- medsens(model.m, model.y, T="treat", M="job_seek", INT=FALSE,  DETAIL=FALSE, sims=1000)
#use summary function to display values of rho where 95
summary(sens.cont)
#plot mediation effect and 95
plot(sens.cont, main="JOBS", ylim=c(-.2,.2))

## Not run: 
##D #########################################
##D #binary outcome and continuous mediator
##D #########################################
##D 
##D model.m <- lm(job_seek ~ treat + depress1, data=jobs)
##D model.y <- glm(work1 ~ treat + job_seek + depress1, family=binomial(link="probit"), data=jobs)
##D sens.dichO <- medsens(model.m, model.y, T="treat", M="job_seek", INT=FALSE,  DETAIL=FALSE)
##D summary(sens.dichO)
##D plot(sens.dichO, main="JOBS", ylim=c(-.2,.2))
##D 
##D #########################################
##D #continuous outcome and binary mediator w no interaction
##D #########################################
##D 
##D model.m <- glm(job_dich ~ treat + depress1, data=jobs, family=binomial(link="probit"))
##D model.y <- lm(depress2 ~ treat + job_dich + depress1, data=jobs)
##D sens.dichM <- medsens(model.m, model.y, T="treat", M="job_dich", INT=FALSE,  DETAIL=FALSE)
##D summary(sens.dichM)
##D plot(sens.dichM, main="JOBS", ylim=c(-.2,.2))
##D 
##D #########################################
##D #continuous outcome and binary mediator w interaction
##D #########################################
##D 
##D model.m <- glm(job_dich ~ treat + depress1, data=jobs, family=binomial(link="probit"))
##D model.y <- lm(depress2 ~ treat + job_dich + treat:job_dich + depress1, data=jobs)
##D sens.dichM.int <- medsens(model.m, model.y, T="treat", M="job_dich", INT=TRUE,  DETAIL=FALSE)
##D summary(sens.dichM.int)
##D plot(sens.dichM.int, main="JOBS", ylim=c(-.2,.2))
## End(Not run)




