### Name: summary.medsens
### Title: Summarizing results from sensitivity analysis of mediation
###   effects.
### Aliases: summary.medsens print.summary.medsens


### ** Examples
 

#Example with JOBS II Field experiment
#For illustration purposes simulations set to low number.

#Example with JOBS II Field experiment
data(jobs)

## Not run: 
##D #########################################
##D #continuous mediator and continuous outcome
##D #########################################
##D 
##D #fit parametric model
##D model.m <- lm(job_seek ~ treat + depress1 + econ_hard + sex + age  + occp + marital + nonwhite + educ + income, data=jobs)
##D model.y <- lm(depress2 ~ treat + job_seek + depress1 + econ_hard + sex + age + occp + marital + nonwhite + educ + income, data=jobs)
##D #pass model objects through medsens function
##D sens.cont <- medsens(model.m, model.y, T="treat", M="job_seek", INT=FALSE,  DETAIL=FALSE, sims=1000)
##D #use summary function to display values of rho where 95
##D summary(sens.cont)
##D #plot mediation effect and 95
##D plot(sens.cont, main="JOBS", ylim=c(-.2,.2))
##D 
##D 
##D 
##D #########################################
##D #binary outcome and continuous mediator
##D #########################################
##D 
##D model.m <- lm(job_seek ~ treat + depress1 + econ_hard + sex + age + occp + marital + nonwhite + educ + income, data=jobs)
##D model.y <- glm(work1 ~ treat + job_seek + depress1 + econ_hard + sex + age + occp + marital + nonwhite + educ + income, family=binomial(link="probit"), data=jobs)
##D sens.dichO <- medsens(model.m, model.y, T="treat", M="job_seek", INT=FALSE,  DETAIL=FALSE)
##D summary(sens.dichO)
##D plot(sens.dichO, main="JOBS", ylim=c(-.2,.2))
## End(Not run)




